Bug 443544 - X crash on Silicon Motion, Inc. SM712 LynxEM+
X crash on Silicon Motion, Inc. SM712 LynxEM+
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-siliconmotion (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 00:40 EDT by CHIKAMA Masaki
Modified: 2009-07-14 13:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (3.39 KB, text/plain)
2008-04-22 00:40 EDT, CHIKAMA Masaki
no flags Details
Xorg.0.log (21.78 KB, text/plain)
2008-04-22 00:41 EDT, CHIKAMA Masaki
no flags Details
Xorg.0.log without xorg.conf (23.99 KB, text/plain)
2008-04-22 00:42 EDT, CHIKAMA Masaki
no flags Details

  None (edit)
Description CHIKAMA Masaki 2008-04-22 00:40:34 EDT
Description of problem:

  No X starts on Silicon Motion, Inc. SM712 LynxEM+

Version-Release number of selected component (if applicable):
xorg-x11-drv-siliconmotion-1.6.0-1.fc9.i386

How reproducible:

 Always

Steps to Reproduce:
1. boot single user
2. X
3.
  
Actual results:
fail to start X

Expected results:
sucess to start X

Additional info:
Comment 1 CHIKAMA Masaki 2008-04-22 00:40:34 EDT
Created attachment 303258 [details]
xorg.conf
Comment 2 CHIKAMA Masaki 2008-04-22 00:41:31 EDT
Created attachment 303259 [details]
Xorg.0.log
Comment 3 CHIKAMA Masaki 2008-04-22 00:42:18 EDT
Created attachment 303260 [details]
Xorg.0.log without xorg.conf
Comment 4 Bug Zapper 2008-05-14 05:54:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Richard Schwarting 2008-06-08 15:27:13 EDT
Hey.

This also fails to work with the "Silicon Motion, Inc. SM720 Lynx3DM" as found
on an Acer TravelMate C100.  I had been using Ubuntu 8.04 where X worked just
fine.  Even using the xorg.conf file from the successful Ubuntu X configuration,
it still enters into the endless loop, trying divers modes and sync rates. 

Is there anything else I can provide to help?
Comment 6 Richard Schwarting 2008-12-13 16:13:49 EST
Hey.  

Can we get any acknowledgment of the issue here?  I ended up switching to Ubuntu after since I felt pretty lost.  

It's now been reported upstream and working patches are available and being further developed.
http://bugs.freedesktop.org/show_bug.cgi?id=18816

People with Silicon Motion cards that suffer this fate from X's switch to libpciaccess DO NOT HAVE X and thus NO DESKTOP and effectively NO FEDORA (save as a server :D).

Even if you do not want to set the priority to anything greater than low (because users with such old cards should just buy new computers), could you at least set the severity to something greater than low? :D
Comment 7 CHIKAMA Masaki 2008-12-19 07:31:31 EST
I updated severity, but couldn't modify priority ;-).
I understand that the maintainer(A.J) can only track upstream's changes
because he doesn't have such hardware.
I'm waiting version 1.6.1(or 1.7.0?) is released.
Comment 8 Richard Schwarting 2008-12-29 19:24:36 EST
Hey.  

The Freedesktop bug http://bugs.freedesktop.org/show_bug.cgi?id=18816 has been resolved with the changes committed to master and 1.7.0 of the driver has been branched containing the fixes.  

These fixes are necessary for people with our video card to use X At All so it would be nice if the driver could somehow make it out for F10 Updates, in case any owner is still periodically yum updating in hopes of seeing X boot again :|

Cheers, 
  Richard
Comment 9 Bug Zapper 2009-06-09 20:21:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:37:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.